MailboxesCheck mailbox DNS records

Check mailbox DNS records

Checks DKIM, SPF, and DMARC DNS records for the mailbox domain. Returns current status and required records.

curl -X POST "https://api.supasend.io/v1/mailboxes/507f1f77bcf86cd799439011/dns" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "mailbox_id": "example_string",
  "dkim": {
    "status": "verified",
    "expected": "example_string",
    "current": "example_string"
  },
  "spf": {
    "status": "verified",
    "expected": "example_string",
    "current": "example_string"
  },
  "dmarc": {
    "status": "verified",
    "expected": "example_string",
    "current": "example_string"
  }
}
POST
/v1/mailboxes/{id}/dns
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
path
idstring
Required

MongoDB ObjectID

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Path Parameters

idstring
Required

MongoDB ObjectID

Example:
507f1f77bcf86cd799439011

Responses

mailbox_idstring
dkimobject
spfobject
dmarcobject